Subject: Re: bug#27036: Acknowledgement (25.1; Blocking call to accept-process-output with quit inhibited!!)

From: Francesco Potortì <[email-masked]>
Date: Fri, 26 May 2017 15:17:23 +0200

I disabled the hints with
 M-x global-eldoc-mode

Now Emacs is more responsive when I edit an Octave source file and use
the inferior Octave buffer.

I suspect that, when moving point in the source code and even in the
running Octave window, as soon as eldoc mode sees a function near point
it secretely sends a help command to the inferior Octave: the same
inferior Octave which I am using.

This works mot of the time, but if Octave is running a long command it
locks Emacs until the long command execution finishes and the prompt is
returned.

It also makes damage in some other cases that I cannot identify.